* SOS *

*******************************************************************
*								  *
*	PROGRAMME	: MENU					  *
*	CODE 		: CORSAIR (DRAGONS)			  *
*	LOGO		: MR.VIDEO (DRAGONS)			  *
*								  *
*	SCROLL		: B <RETURN>				  *
*								  *
*	SAUVEGARDE	: WI <RETURN>				  *
*			: FILENAME>INTRO1 <RETURN>		  *
*			: BEG>BEG <RETURN>			  *
*			: END>END <RETURN>			  *
*								  *
*	COMPACTAGE	: COMPACTE AVEC DEFJAM-PACKER		  *
*			: MEGACRUNCH	 : N	  <RETURN>	  *
*			: LOW-MEM	 : $30000 <RETURN>	  *
*			: HIGHT-MEM	 : $40000 <RETURN>	  *
*			: SCAN WIDTH	 : $0010  <RETURN>	  *
*			: LOAD TYPE	 : O      <RETURN>	  *
*			: FILENAME	 : INTRO1 <RETURN>	  *
*			: LOAD ADR	 : $30000 <RETURN>	  *
*			: LOAD TYPE	 :        <RETURN>	  *
*			: JMP ADR	 : $30000 <RETURN>	  *
*			: FLAG-REG	 : 10     <RETURN>	  *
*			: PRO-DECRUNCHER : N      <RETURN>	  *
*			: FILENAME	 : INTRO1 <RETURN>	  *
*			: SAVE AGAIN	 : N      <RETURN>	  *
*			: RUN NOW	 : N      <RETURN>	  *
*								  *
*	NOTE		: SOIT COOL, LAISSE LES CREDITS		  *
*			: DANS LE SCROLL, ET NE FAIS PAS	  *
*			: CIRCULER CETTE SOURCE (SAUF A		  *
*			: ACID).				  *
*								  *
*						CORSAIR		  *
*								  *
*******************************************************************

>EXTERN "PSYGNO.2BP",PIC,3840
>EXTERN "LOGO2.26-34.2BP",LOGO,1768
>EXTERN "LITTLE-CHINA",ST_DATA

;------ REGISTRES CARAC --------------------------------------------
	CARHT:		= 16
;------ REGISTRES BITPLANS -----------------------------------------
	BP1:		= $60000
	BP3:		= BP1+[256+200*50]
	BP2:		= $79000		;ECRAN PHYSIQUE SCR
	BP2A:		= $7B000		;ECRAN LOGIQUE SCR
	BP2B:		= $7D000
	BP4:		= BP2+48
;------ REGISTRES DIVERS -------------------------------------------
	NBRAST:		= 8
	SCROLLY:	= 90
	SINUSMAX:	= 60
	LG:		= 4*7
	NB_MVT_LOGO:	= 5
;------ REGISTRES SPRITES ------------------------------------------
	NBSTARS:	= 76/2
	SPR1:		= $70000
	SPR2:		= SPR1+[NBSTARS*8]+20
	SPR3:		= SPR2+[NBSTARS*8]+20
	SPR4:		= SPR3+[NBSTARS*8]+20
;-------------------------------------------------------------------
	ORG		$30000
	LOAD		$30000

;*******************************************************************
;************** PROGRAMME PRINCIPAL ********************************
;*******************************************************************

BEG:		MOVE.L	4,A6
		JSR	-132(A6)		;FORBID
;===================================================================
		BSET	#1,$BFE001		;PLACE COPPER
		MOVE.L	#INIT,$80
		TRAP	#0
;===================================================================
		BCLR	#1,$BFE001
		BSR	ST_END
		MOVE.L	4,A6
		LEA	GFXN,A1
		JSR	-408(A6)		;OPENLIB
		MOVE.L	D0,A1
		MOVE.L	38(A1),$DFF080
		MOVE	#$8020,$DFF096
		JSR	-414(A6)		;CLOSELIB
		JSR	-138(A6)		;PERMIT
		MOVEQ	#0,D0
		RTS

;*******************************************************************
;************** INIT ***********************************************
;*******************************************************************

INIT:		LEA	BP2,A0			;VIDE PHYSIQUES SCR
		LEA	BP2B,A1
		MOVE	#48*2*80/4,D0
VIDE_BP2:	CLR.L	(A0)+
		CLR.L	(A1)+
		DBF	D0,VIDE_BP2
		LEA	BP2A,A0			;VIDE BP LOGIQUE SCR
		MOVE	#CARHT*48*2/4,D0
VIDE_BPA:	CLR.L	(A0)+
		DBF	D0,VIDE_BPA
		LEA	BP1,A0			;VIDE BP LOGO
		LEA	BP3,A1
		MOVE	#256+201*50/4,D0
VIDE_BP1_3:	CLR.L	(A0)+
		CLR.L	(A1)+
		DBF	D0,VIDE_BP1_3
;===================================================================
		LEA	COL_DEGRA_SCR,A0	;CREE DEGRADE SCROLL
		LEA	TAUX_DEGRA_SCR,A1
		MOVE	[6*2-2](A1),D2
		MOVE	D2,D1
		MULU	#15,D1
		MOVEQ	#6-1,D0
CREE_DEGRA_S:	MOVE	(A1)+,D4
		MOVE	D4,D3
		SUB	D2,D4
		MOVE	D3,D2
		MOVEQ	#14,D3
CALCUL_COL_S:	ADD	D4,D1
		MOVE	D1,(A0)+
		DBF	D3,CALCUL_COL_S
		DBF	D0,CREE_DEGRA_S
;===================================================================
		LEA	COL_DEGRA_LOGO,A0	;CREE DEGRADE LOGO
		LEA	TAUX_DEGRA_LOGO,A1
		MOVE	[6*2-2](A1),D2
		MOVE	D2,D1
		MULU	#15,D1
		MOVEQ	#6-1,D0
CREE_DEGRA_L:	MOVE	(A1)+,D4
		MOVE	D4,D3
		SUB	D2,D4
		MOVE	D3,D2
		MOVEQ	#14,D3
CALCUL_COL_L:	ADD	D4,D1
		MOVE	D1,(A0)+
		MOVE	D1,(A0)+
		MOVE	D1,(A0)+
		DBF	D3,CALCUL_COL_L
		DBF	D0,CREE_DEGRA_L
;===================================================================
		LEA	COL_SCR,A0
		LEA	COL_DEGRA_SCR+[8*2],A1
		LEA	COL_DEGRA_LOGO+[98*2],A2
		MOVE.L	#SCROLLY+$26*$1000000+$01FFFE,D1
		MOVEQ	#77-1,D0
INIT_COP_SCR:	MOVE.L	D1,(A0)+
		MOVE	#$196,(A0)+
		MOVE	(A1)+,(A0)+
		MOVE	#$184,(A0)+
		MOVE	(A2)+,(A0)+
		ADD.L	#$1000000,D1
		DBF	D0,INIT_COP_SCR
;===================================================================
		LEA	SINUS_BP,A0
		LEA	SINUS_BP+[98*2]-2,A1
		LEA	BAS,A2
		LEA	HAUT,A3
		LEA	COL_DEGRA_LOGO+[98+76*2],A4
		LEA	COL_DEGRA_LOGO,A5
		MOVE	#CARHT+SINUSMAX+SCROLLY+$27*$100+$01,D1
		SWAP	D1
		MOVE	#$FFFE,D1
		MOVE.L	#$26-8*$1000000+$01FFFE,D2
		MOVEQ	#98-1,D0
INIT_COP_BP:	MOVE.L	D1,(A2)+			;POS
		MOVE.L	D2,(A3)+
		MOVE	#$E4,(A2)+			;$E4
		MOVE	#$E4,(A3)+
		MOVE	#BP2/$FFFF,(A2)+
		MOVE	#BP2/$FFFF,(A3)+
		MOVE	-(A1),D4
		MULU	#48*2,D4
		MOVE	#76,D3
		SUB	(A0)+,D3
		MULU	#48*2,D3
		MOVE	#$E6,(A2)+			;$E6
		MOVE	#$E6,(A3)+
		ADD	#BP2,D3
		ADD	#BP2,D4
		MOVE	D3,(A2)+
		MOVE	D4,(A3)+
		MOVE.L	#$1900000,(A2)+			;COL0
		MOVE.L	#$1900000,(A3)+
		MOVE.L	#$1900000,(A2)+			;COL9
		MOVE.L	#$1900000,(A3)+
		MOVE	#$184,(A2)+			;COL3
		MOVE	#$184,(A3)+
		MOVE	(A4)+,(A2)+
		MOVE	(A5)+,(A3)+
		MOVE.L	D1,(A2)+			;PAL
		MOVE.L	D2,(A3)+
		MOVE.B	#$E1,-3(A2)
		MOVE.B	#$E1,-3(A3)
		ADD.L	#$01000000,D1
		ADD.L	#$01000000,D2
		DBF	D0,INIT_COP_BP
;===================================================================
		LEA	BAS+[4*3],A0
		LEA	HAUT+[4*3],A1
		LEA	ECART_RASTERS,A2
		LEA	ECART_RASTERS+[12*2],A3
		MOVE.L	#$1800000,D1
		MOVE.L	#$1920000,D3
		MOVE.L	#$1800F00,D2
		MOVE.L	#$1920FFF,D4
		MOVEQ	#12-1,D0
INIT_RASTER:	MOVE.L	D1,(A0)				;COL0
		MOVE.L	D2,(A1)				;COL0
		MOVE.L	D3,4(A0)			;COL9
		MOVE.L	D4,4(A1)			;COL9
		ADD	#$002,D1
		ADD	#$222,D3
		SUB	#$200,D2
		SUB	#$222,D4
		ADD	#LG,A0
		ADD	#LG,A1
		MOVE.L	D1,(A0)				;COL0
		MOVE.L	D2,(A1)				;COL0
		MOVE.L	D3,4(A0)			;COL9
		MOVE.L	D4,4(A1)			;COL9
		ADD	(A2)+,A0
		ADD	-(A3),A1
		ADD	#$002,D1
		SUB	#$200,D2
		ADD	#$222,D3
		SUB	#$222,D4
		MOVE.L	D1,(A0)				;COL0
		MOVE.L	D2,(A1)				;COL0
		MOVE.L	D3,4(A0)			;COL9
		MOVE.L	D4,4(A1)			;COL9
		ADD	#LG,A0
		ADD	#LG,A1
		SUB	#$003,D1
		ADD	#$300,D2
		SUB	#$333,D3
		ADD	#$333,D4
		DBF	D0,INIT_RASTER
;===================================================================
		LEA	$DFF000,A6			;AFF LOGO
		MOVE.L	#$09F00000,$40(A6)
		MOVE.L	#$FFFFFFFF,$44(A6)
		MOVE.L	#50-26,$64(A6)
		MOVE.L	#LOGO,$50(A6)
		MOVE.L	#BP1+[210*50]+24,$54(A6)
		MOVE	#34*64+13,$58(A6)
WAIT_BLT1:	BTST	#14,$02(A6)
		BNE	WAIT_BLT1
		MOVE.L	#LOGO+[26*34],$50(A6)
		MOVE.L	#BP3+[210*50]+24,$54(A6)
		MOVE	#34*64+13,$58(A6)
;===================================================================
		LEA	SINX_LOGO,A0
		LEA	SINY_LOGO,A1
		MOVE	#256-1,D0
INIT_SINY_L:	MOVEQ	#0,D1
		MOVE	(A0)+,D1
		ASR	#1,D1
		MULU	#50,D1
		MOVE	D1,(A1)+
		DBF	D0,INIT_SINY_L
;===================================================================
		LEA	SINUS_SCROLL+[512*0],A0
		LEA	SINUS_SCROLL+[512*1],A1
		LEA	SINUS_SCROLL+[512*2],A2
		MOVE	#256-1,D0
INIT_SINY_S:	MOVEQ	#0,D1
		MOVE	(A0),D1
		MULU	#48*2,D1
		MOVE	D1,(A0)+
		MOVE	D1,(A1)+
		MOVE	D1,(A2)+
		DBF	D0,INIT_SINY_S
;===================================================================
		BSR	ST_INIT
		BSR	PLACE_ETOILES
		MOVE.L	#NEW_COPPER,$DFF080

;*******************************************************************
;************** IRQ ************************************************
;*******************************************************************

IRQ_1:		MOVE.L	$DFF004,D0
		AND.L	#$1FF00,D0
		CMP.L	#$12000,D0
		BNE	IRQ_1
		BSR	SCROLL_ONDULE
		BSR	SCROLL_NORMAL
		BSR	BOUGE_LOGO
		BSR	ANIME_ETOILES
		BSR	ST_MUSIC
		BTST	#6,$BFE001
		BNE	IRQ_1
		RTE

;*******************************************************************
;************** STARS **********************************************
;*******************************************************************

PLACE_ETOILES:	MOVE	#SCROLLY+$26*$100,-(SP)
		MOVE	#SCROLLY+$26*$100,-(SP)
		MOVE	#SCROLLY+$26*$100,-(SP)
		MOVE	#SCROLLY+$26*$100,-(SP)
		LEA	SPR1,A0
		LEA	SPR2,A1
		LEA	SPR3,A2
		LEA	SPR4,A3
		MOVEM.L	(A0),D1/D2/D3/D4
		MOVEQ	#NBSTARS-1,D0
MAKE_IT:	ADD	#30,D1
		ADD	#15,D2
		ADD	#13,D3
		ADD	#11,D4
		ADD.B	D1,7(SP)
		ADD.B	D2,5(SP)
		ADD.B	D3,3(SP)
		ADD.B	D4,1(SP)
		MOVE	6(SP),(A0)+
		MOVE	4(SP),(A1)+
		MOVE	2(SP),(A2)+
		MOVE	(SP),(A3)+
		ADD	#$0100,6(SP)
		ADD	#$0100,4(SP)
		ADD	#$0100,2(SP)
		ADD	#$0100,(SP)
		MOVE	6(SP),(A0)
		MOVE	4(SP),(A1)
		MOVE	2(SP),(A2)
		MOVE	(SP),(A3)
		AND	#$FF00,(A0)+
		AND	#$FF00,(A1)+
		AND	#$FF00,(A2)+
		AND	#$FF00,(A3)+
		ADD	#$0100,6(SP)
		ADD	#$0100,4(SP)
		ADD	#$0100,2(SP)
		ADD	#$0100,(SP)
		MOVE.L	#$000F0003,(A0)+
		MOVE.L	#$000C0003,(A1)+
		MOVE.L	#$000F0003,(A2)+
		MOVE.L	#$000C0003,(A3)+
		DBF	D0,MAKE_IT
		CLR.L	(A0)+
		CLR.L	(A1)+
		CLR.L	(A2)+
		CLR.L	(A3)+
		MOVEM	(SP)+,D1/D2/D3/D4
		RTS
;===================================================================
ANIME_ETOILES:	LEA	SPR1,A0
		LEA	SPR2,A1
		LEA	SPR3,A2
		LEA	SPR4,A3
		MOVEQ	#NBSTARS-1,D0
		MOVEQ	#1,D1
ANIME_THEM:	SUBQ.B	#1,(A0,D1)
		SUBQ.B	#2,(A1,D1)
		SUBQ.B	#3,(A2,D1)
		SUBQ.B	#4,(A3,D1)
		ADDQ	#8,D1
		DBF	D0,ANIME_THEM
		RTS

;*******************************************************************
;************** BOUGE LOGO *****************************************
;*******************************************************************

BOUGE_LOGO:	SUBQ	#1,TPS_MVT_LOGO
		BNE	PAS_NV_MVT
		MOVE	ACT_MVT,D0
		ADD	#10,D0
		CMP	#10*NB_MVT_LOGO,D0
		BNE	PAS_LAST_MVT
		MOVEQ	#0,D0
PAS_LAST_MVT:	MOVE	D0,ACT_MVT
		LEA	VITX1,A0
		LEA	LIST_MVT,A1
		MOVE	0(A1,D0.W),(A0)+
		MOVE	2(A1,D0.W),(A0)+
		MOVE	4(A1,D0.W),(A0)+
		MOVE	6(A1,D0.W),(A0)+
		MOVE	8(A1,D0.W),TPS_MVT_LOGO
;===================================================================
PAS_NV_MVT:	MOVE	#$1FF,D3
		MOVE	POSY_LOGO1,D0
		MOVE	POSY_LOGO2,D1
		ADD	VITY1,D0
		ADD	VITY2,D1
		AND	D3,D0
		AND	D3,D1
		MOVE	D0,POSY_LOGO1
		MOVE	D1,POSY_LOGO2
		LEA	SINY_LOGO,A0
		MOVE	(A0,D0.W),D0
		ADD	(A0,D1.W),D0
		ADD	#BP1,D0
;===================================================================
		MOVEQ	#0,D1
		MOVE	POSX_LOGO1,D1
		MOVE	POSX_LOGO2,D2
		ADD	VITX1,D1
		ADD	VITX2,D2
		AND	D3,D1
		AND	D3,D2
		MOVE	D1,POSX_LOGO1
		MOVE	D2,POSX_LOGO2
		LEA	SINX_LOGO,A0
		MOVE	(A0,D1.W),D1
		ADD	(A0,D2.W),D1
		ASR	#1,D1
		ROR.L	#4,D1
		MOVE	D1,D2
		SWAP	D1
		ROL	#4,D1
		EOR.B	#$F,D1
		MOVE.B	D1,POS_BP_LOGO+3
		ADD	D2,D2
		ADD	D0,D2
		MOVE	D2,ADR_BP_LOGO+6+[8*0]
		ADD	#256+200*50,D2
		MOVE	D2,ADR_BP_LOGO+6+[8*1]
		RTS

;*******************************************************************
;************** SCROLL NORMAL **************************************
;*******************************************************************

SCROLL_NORMAL:	LEA	$DFF000,A6
		SUBQ.B	#1,STOP_TPS	;DIMINUE COMPTEUR D'ATTENTE
		BHI	FIN_SCROLL
		CLR.B	STOP_TPS	;COMPTEUR D'ATTENTE = 0
		BSR	HORY_SCROLL	;SCROLL HORI
		SUBQ.B	#1,SCROLL_TPS	;AFF NV CARAC ?
		BNE	FIN_SCROLL	;NON=>FIN ROUTINE SCROLL
		BSR	AFFICHE_FONT	;AFF NV CARCR
FIN_SCROLL:	RTS
;===================================================================
HORY_SCROLL:	CLR.L	$64(A6)			;DECA HORY SCROLL
		MOVE.L	#$FFFF0000,$44(A6)
		MOVE.L	VITESSE,$40(A6)
		MOVE.L	#BP2A+2,$50(A6)
		MOVE.L	#BP2A,$54(A6)
		MOVE	#CARHT*2*64+24,$58(A6)
		RTS
;===================================================================
AFFICHE_FONT:	LEA	SCRTXT,A0		;RECHERCHE ET AFF
		MOVE	COMPTEUR_LETTRE,D0	;NEXT CAR DS SCROLL
		MOVE.B	(A0,D0),D1
		BNE	PAS_FIN_SCROLL
		CLR	COMPTEUR_LETTRE
		MOVE.B	(A0),D1
PAS_FIN_SCROLL:	MOVE.B	NB_SCROLL,SCROLL_TPS
		ADDQ	#1,COMPTEUR_LETTRE
;===================================================================
STOP_SCROLL:	CMP.B	#"a",D1
		BNE	SLOW_SPEED
		MOVE.B	#160,STOP_TPS		;TPS->NEXT AFFICHAGE
		MOVE	#2,VIT_SIN_SCR
		BRA	AFFICHE_FONT
SLOW_SPEED:	CMP.B	#"b",D1
		BNE	MEDIUM_SPEED
		MOVE	#$F9F0,VITESSE		;VIT=1 PIXEL
		MOVE.B	#16/1,NB_SCROLL
		MOVE	#8,VIT_SIN_SCR
		BRA	AFFICHE_FONT
MEDIUM_SPEED:	CMP.B	#"c",D1
		BNE	FAST_SPEED
		MOVE	#$E9F0,VITESSE		;VIT=2 PIXEL
		MOVE.B	#16/2,NB_SCROLL
		MOVE	#8,VIT_SIN_SCR
		BRA	AFFICHE_FONT
FAST_SPEED:	CMP.B	#"d",D1
		BNE	NORMAL_FONT
		MOVE	#$C9F0,VITESSE		;VIT=4 PIXEL
		MOVE.B	#16/4,NB_SCROLL
		MOVE	#10,VIT_SIN_SCR
		BRA	AFFICHE_FONT
;===================================================================
NORMAL_FONT:	LEA	ORDRE,A0
		LEA	FONT_TABLE-4,A1
CHERCHE_FONT:	ADDQ	#4,A1
		CMP.B	(A0)+,D1
		BNE	CHERCHE_FONT
		MOVE.L	#$09F00000,$40(A6)
		MOVE.L	#$0026002E,$64(A6)
		MOVE.L	#$FFFFFFFF,$46(A6)
		MOVE.L	(A1),$50(A6)
		MOVE.L	#BP2A+48-2,$54(A6)
		MOVE	#CARHT*2*64+1,$58(A6)
		RTS

;*******************************************************************
;************** SCROLL QUI ONDULE **********************************
;*******************************************************************

SCROLL_ONDULE:	MOVEQ	#$40,D1
		MOVEQ	#LG,D2
		EOR.B	D1,SCR_LO+2
		EOR.B	D1,SCR_PH+2
		EOR.B	D1,SCR+6
		EOR.B	D1,SCR+6+8
		LEA	HAUT+[LG*8]+10,A0
		LEA	BAS+10,A1
		MOVEQ	#90-1,D0
PUT_ADR_BP:	EOR.B	D1,(A0)
		EOR.B	D1,(A1)
		ADD	D2,A0
		ADD	D2,A1
		DBF	D0,PUT_ADR_BP
;===================================================================
		LEA	$DFF000,A6		;EFFACE OLD
		CLR	$66(A6)
		MOVE	#$0900,$40(A6)
		MOVE.L	SCR_LO,$54(A6)
		MOVE	#[CARHT+SINUSMAX]*2*64+24,$58(A6)
;===================================================================
		MOVE.L	#$002E002E,$64(A6)	;MET NEW
		MOVE	#$002E,$62(A6)
		MOVE.L	#$FFFFFFFF,$44(A6)
		MOVE.L	#$0DFC0000,$40(A6)
		MOVE.L	#BP2A,D1
		MOVE.L	SCR_LO,D2
		LEA	SINUS_SCROLL,A0
		MOVE	SIN_POS,D3
		ADD	VIT_SIN_SCR,D3
		AND	#$1FF,D3
		MOVE	D3,SIN_POS
		ADD	D3,A0
		MOVE	#$C000,D5		;MASQUE INITIAL
		MOVE	#CARHT*2*64+1,D7
		LEA	$46(A6),A2
		LEA	$52(A6),A3
		LEA	$56(A6),A4
		LEA	$4E(A6),A5
		LEA	$58(A6),A6
		MOVE.L	D1,-2(A3)
		MOVE.L	D2,-2(A4)
		MOVE.L	D2,-2(A5)
		MOVEQ	#24-1,D0		;NB PARTIE : 24.W
;===================================================================
NEXT_WORD:	MOVE	D2,A1			;SAUVE POS DS BP
		MOVE	(A0)+,D4
		ADD	D4,D2
		MOVE	#$C000,(A2)		;$46
		MOVE	D1,(A3)			;$52
		MOVE	D2,(A4)			;$56
		MOVE	D2,(A5)			;$4E
		MOVE	D7,(A6)
		MOVE	A1,D2			;OLD POS DS BP
;===================================================================
		MOVE	D2,A1			;SAUVE POS DS BP
		MOVE	(A0)+,D4
		ADD	D4,D2
		MOVE	#$3000,(A2)		;$46
		MOVE	D1,(A3)			;$52
		MOVE	D2,(A4)			;$56
		MOVE	D2,(A5)			;$4E
		MOVE	D7,(A6)
;===================================================================
		MOVE	A1,D2			;OLD POS DS BP
		MOVE	D2,A1			;SAUVE POS DS BP
		MOVE	(A0)+,D4
		ADD	D4,D2
		MOVE	#$0C00,(A2)		;$46
		MOVE	D1,(A3)			;$52
		MOVE	D2,(A4)			;$56
		MOVE	D2,(A5)			;$4E
		MOVE	D7,(A6)
		MOVE	A1,D2			;OLD POS DS BP
;===================================================================
		MOVE	A1,D2			;OLD POS DS BP
		MOVE	D2,A1			;SAUVE POS DS BP
		MOVE	(A0)+,D4
		ADD	D4,D2
		MOVE	#$0300,(A2)		;$46
		MOVE	D1,(A3)			;$52
		MOVE	D2,(A4)			;$56
		MOVE	D2,(A5)			;$4E
		MOVE	D7,(A6)
		MOVE	A1,D2			;OLD POS DS BP
;===================================================================
		MOVE	A1,D2			;OLD POS DS BP
		MOVE	D2,A1			;SAUVE POS DS BP
		MOVE	(A0)+,D4
		ADD	D4,D2
		MOVE	#$00C0,(A2)		;$46
		MOVE	D1,(A3)			;$52
		MOVE	D2,(A4)			;$56
		MOVE	D2,(A5)			;$4E
		MOVE	D7,(A6)
		MOVE	A1,D2			;OLD POS DS BP
;===================================================================
		MOVE	A1,D2			;OLD POS DS BP
		MOVE	D2,A1			;SAUVE POS DS BP
		MOVE	(A0)+,D4
		ADD	D4,D2
		MOVE	#$0030,(A2)		;$46
		MOVE	D1,(A3)			;$52
		MOVE	D2,(A4)			;$56
		MOVE	D2,(A5)			;$4E
		MOVE	D7,(A6)
		MOVE	A1,D2			;OLD POS DS BP
;===================================================================
		MOVE	A1,D2			;OLD POS DS BP
		MOVE	D2,A1			;SAUVE POS DS BP
		MOVE	(A0)+,D4
		ADD	D4,D2
		MOVE	#$000C,(A2)		;$46
		MOVE	D1,(A3)			;$52
		MOVE	D2,(A4)			;$56
		MOVE	D2,(A5)			;$4E
		MOVE	D7,(A6)
		MOVE	A1,D2			;OLD POS DS BP
;===================================================================
		MOVE	A1,D2			;OLD POS DS BP
		MOVE	D2,A1			;SAUVE POS DS BP
		MOVE	(A0)+,D4
		ADD	D4,D2
		MOVE	#$0003,(A2)		;$46
		MOVE	D1,(A3)			;$52
		MOVE	D2,(A4)			;$56
		MOVE	D2,(A5)			;$4E
		MOVE	D7,(A6)
		MOVE	A1,D2			;OLD POS DS BP
;===================================================================
		ADDQ	#2,D1			;SOURCE
		ADDQ	#2,D2			;DEST
		DBF	D0,NEXT_WORD
		RTS

;*******************************************************************
;************** REPLAY ROUTINE *************************************
;*******************************************************************

ST_INIT:	LEA	ST_DATA,A0
		MOVE.L	A0,A1
		ADD.L	#$3B8,A1
		MOVEQ	#$7F,D0
		MOVEQ	#0,D1
ST_LOOP:	MOVE.L	D1,D2
		SUBQ	#1,D0
ST_LOP2:	MOVE.B	(A1)+,D1
		CMP.B	D2,D1
		BGT	ST_LOOP
		DBF	D0,ST_LOP2
		ADDQ.B	#1,D2
		LEA	ST_SAMPLESTARTS(PC),A1
		ASL.L	#8,D2
		ASL.L	#2,D2
		ADD.L	#$43C,D2
		ADD.L	A0,D2
		MOVE.L	D2,A2
		MOVEQ	#$1E,D0
ST_LOP3:	CLR.L	(A2)
		MOVE.L	A2,(A1)+
		MOVEQ	#0,D1
		MOVE	42(A0),D1
		ASL.L	#1,D1
		ADD.L	D1,A2
		ADD.L	#$1E,A0
		DBF	D0,ST_LOP3
		OR.B	#$2,$BFE001
		MOVE.B	#$6,ST_SPEED
		CLR	$DFF0A8
		CLR	$DFF0B8
		CLR	$DFF0C8
		CLR	$DFF0D8
		CLR.B	ST_SONGPOS
		CLR.B	ST_COUNTER
		CLR	ST_PATTPOS
		RTS
ST_END:		CLR	$DFF0A8
		CLR	$DFF0B8
		CLR	$DFF0C8
		CLR	$DFF0D8
		MOVE	#$000F,$DFF096
		RTS
ST_MUSIC:	MOVEM.L	D0-D4/A0-A3/A5-A6,-(A7)
		LEA	ST_DATA,A0
		ADDQ.B	#$1,ST_COUNTER
		MOVE.B	ST_COUNTER,D0
		CMP.B	ST_SPEED,D0
		BLT	ST_NONEW
		CLR.B	ST_COUNTER
		BRA	ST_GETNEW
ST_NONEW:	LEA	ST_VOICE1(PC),A6
		LEA	$DFF0A0,A5
		BSR	ST_CHECKCOM
		LEA	ST_VOICE2(PC),A6
		LEA	$DFF0B0,A5
		BSR	ST_CHECKCOM
		LEA	ST_VOICE3(PC),A6
		LEA	$DFF0C0,A5
		BSR	ST_CHECKCOM
		LEA	ST_VOICE4(PC),A6
		LEA	$DFF0D0,A5
		BSR	ST_CHECKCOM
		BRA	ST_ENDR
ST_ARPEGGIO:	MOVEQ	#0,D0
		MOVE.B	ST_COUNTER,D0
		DIVS	#$3,D0
		SWAP	D0
		CMP	#$0,D0
		BEQ	ST_ARP2
		CMP	#$2,D0
		BEQ	ST_ARP1
		MOVEQ	#0,D0
		MOVE.B	$3(A6),D0
		LSR.B	#4,D0
		BRA	ST_ARP3
ST_ARP1:	MOVEQ	#0,D0
		MOVE.B	$3(A6),D0
		AND.B	#$F,D0
		BRA	ST_ARP3
ST_ARP2:	MOVE	$10(A6),D2
		BRA	ST_ARP4
ST_ARP3:	ASL	#1,D0
		MOVEQ	#0,D1
		MOVE	$10(A6),D1
		LEA	ST_PERIODS(PC),A0
		MOVEQ	#$24,D7
ST_ARPLOOP:	MOVE	(A0,D0.W),D2
		CMP	(A0),D1
		BGE	ST_ARP4
		ADDQ.L	#2,A0
		DBF	D7,ST_ARPLOOP
		RTS
ST_ARP4:	MOVE	D2,$6(A5)
		RTS
ST_GETNEW:	LEA	ST_DATA,A0
		MOVE.L	A0,A3
		MOVE.L	A0,A2
		ADD.L	#$C,A3
		ADD.L	#$3B8,A2
		ADD.L	#$43C,A0
		MOVEQ	#0,D0
		MOVE.L	D0,D1
		MOVE.B	ST_SONGPOS,D0
		MOVE.B	(A2,D0.W),D1
		ASL.L	#8,D1
		ASL.L	#2,D1
		ADD	ST_PATTPOS,D1
		CLR	ST_DMACON
		LEA	$DFF0A0,A5
		LEA	ST_VOICE1(PC),A6
		BSR	ST_PLAYVOICE
		LEA	$DFF0B0,A5
		LEA	ST_VOICE2(PC),A6
		BSR	ST_PLAYVOICE
		LEA	$DFF0C0,A5
		LEA	ST_VOICE3(PC),A6
		BSR	ST_PLAYVOICE
		LEA	$DFF0D0,A5
		LEA	ST_VOICE4(PC),A6
		BSR	ST_PLAYVOICE
		BRA	ST_SETDMA
ST_PLAYVOICE:	MOVE.L	(A0,D1.L),(A6)
		ADDQ.L	#4,D1
		MOVEQ	#0,D2
		MOVE.B	$2(A6),D2
		AND.B	#$F0,D2
		LSR.B	#4,D2
		MOVE.B	(A6),D0
		AND.B	#$F0,D0
		OR.B	D0,D2
		TST.B	D2
		BEQ	ST_SETREGS
		MOVEQ	#0,D3
		LEA	ST_SAMPLESTARTS(PC),A1
		MOVE.L	D2,D4
		SUBQ.L	#$1,D2
		ASL.L	#2,D2
		MULU	#$1E,D4
		MOVE.L	(A1,D2.L),$4(A6)
		MOVE	(A3,D4.L),$8(A6)
		MOVE	$2(A3,D4.L),$12(A6)
		MOVE	$4(A3,D4.L),D3
		TST	D3
		BEQ	ST_NOLOOP
		MOVE.L	$4(A6),D2
		ASL	#1,D3
		ADD.L	D3,D2
		MOVE.L	D2,$A(A6)
		MOVE	$4(A3,D4.L),D0
		ADD	$6(A3,D4.L),D0
		MOVE	D0,8(A6)
		MOVE	$6(A3,D4.L),$E(A6)
		MOVE	$12(A6),$8(A5)
		BRA	ST_SETREGS
ST_NOLOOP:	MOVE.L	$4(A6),D2
		ADD.L	D3,D2
		MOVE.L	D2,$A(A6)
		MOVE	$6(A3,D4.L),$E(A6)
		MOVE	$12(A6),$8(A5)
ST_SETREGS:	MOVE	(A6),D0
		AND	#$FFF,D0
		BEQ	ST_CHECKCOM2
		MOVE.B	$2(A6),D0
		AND.B	#$F,D0
		CMP.B	#$3,D0
		BNE	ST_SETPERIOD
		BSR	ST_SETMYPORT
		BRA	ST_CHECKCOM2
ST_SETPERIOD:	MOVE	(A6),$10(A6)
		AND	#$FFF,$10(A6)
		MOVE	$14(A6),D0
		MOVE	D0,$DFF096
		CLR.B	$1B(A6)
		MOVE.L	$4(A6),(A5)
		MOVE	$8(A6),$4(A5)
		MOVE	$10(A6),D0
		AND	#$FFF,D0
		MOVE	D0,$6(A5)
		MOVE	$14(A6),D0
		OR	D0,ST_DMACON
		BRA	ST_CHECKCOM2
ST_SETDMA:	MOVE	#$12C,D0
ST_WAIT:	DBF	D0,ST_WAIT
		MOVE	ST_DMACON,D0
		OR	#$8000,D0
		MOVE	D0,$DFF096
		MOVE	#$12C,D0
ST_WAI2:	DBF	D0,ST_WAI2
		LEA	$DFF000,A5
		LEA	ST_VOICE4(PC),A6
		MOVE.L	$A(A6),$D0(A5)
		MOVE	$E(A6),$D4(A5)
		LEA	ST_VOICE3(PC),A6
		MOVE.L	$A(A6),$C0(A5)
		MOVE	$E(A6),$C4(A5)
		LEA	ST_VOICE2(PC),A6
		MOVE.L	$A(A6),$B0(A5)
		MOVE	$E(A6),$B4(A5)
		LEA	ST_VOICE1(PC),A6
		MOVE.L	$A(A6),$A0(A5)
		MOVE	$E(A6),$A4(A5)
		ADD	#$10,ST_PATTPOS
		CMP	#$400,ST_PATTPOS
		BNE	ST_ENDR
ST_NEX:		CLR	ST_PATTPOS
		CLR.B	ST_BREAK
		ADDQ.B	#1,ST_SONGPOS
		AND.B	#$7F,ST_SONGPOS
		MOVE.B	ST_SONGPOS,D1
		CMP.B	ST_DATA+$3B6,D1
		BNE	ST_ENDR
		CLR.B	ST_SONGPOS
ST_ENDR:	TST.B	ST_BREAK
		BNE	ST_NEX
		MOVEM.L	(A7)+,D0-D4/A0-A3/A5-A6
		RTS
ST_SETMYPORT:	MOVE	(A6),D2
		AND	#$FFF,D2
		MOVE	D2,$18(A6)
		MOVE	$10(A6),D0
		CLR.B	$16(A6)
		CMP	D0,D2
		BEQ	ST_CLRPORT
		BGE	ST_RT
		MOVE.B	#$1,$16(A6)
		RTS
ST_CLRPORT:	CLR	$18(A6)
ST_RT:		RTS
ST_MYPORT:	MOVE.B	$3(A6),D0
		BEQ	ST_MYSLIDE
		MOVE.B	D0,$17(A6)
		CLR.B	$3(A6)
ST_MYSLIDE:	TST	$18(A6)
		BEQ	ST_RT
		MOVEQ	#0,D0
		MOVE.B	$17(A6),D0
		TST.B	$16(A6)
		BNE	ST_MYSUB
		ADD	D0,$10(A6)
		MOVE	$18(A6),D0
		CMP	$10(A6),D0
		BGT	ST_MYOK
		MOVE	$18(A6),$10(A6)
		CLR	$18(A6)
ST_MYOK:	MOVE	$10(A6),$6(A5)
		RTS
ST_MYSUB:	SUB	D0,$10(A6)
		MOVE	$18(A6),D0
		CMP	$10(A6),D0
		BLT	ST_MYOK
		MOVE	$18(A6),$10(A6)
		CLR	$18(A6)
		MOVE	$10(A6),$6(A5)
		RTS
ST_VIB:		MOVE.B	$3(A6),D0
		BEQ	ST_VI
		MOVE.B	D0,$1A(A6)
ST_VI:		MOVE.B	$1B(A6),D0
		LEA	ST_SIN(PC),A4
		LSR	#$2,D0
		AND	#$1F,D0
		MOVEQ	#0,D2
		MOVE.B	(A4,D0.W),D2
		MOVE.B	$1A(A6),D0
		AND	#$F,D0
		MULU	D0,D2
		LSR	#$6,D2
		MOVE	$10(A6),D0
		TST.B	$1B(A6)
		BMI	ST_VIBMIN
		ADD	D2,D0
		BRA	ST_VIB2
ST_VIBMIN:	SUB	D2,D0
ST_VIB2:	MOVE	D0,$6(A5)
		MOVE.B	$1A(A6),D0
		LSR	#$2,D0
		AND	#$3C,D0
		ADD.B	D0,$1B(A6)
		RTS
ST_NOP:		MOVE	$10(A6),$6(A5)
		RTS
ST_CHECKCOM:	MOVE	$2(A6),D0
		AND	#$FFF,D0
		BEQ	ST_NOP
		MOVE.B	$2(A6),D0
		AND.B	#$F,D0
		TST.B	D0
		BEQ	ST_ARPEGGIO
		CMP.B	#$1,D0
		BEQ	ST_PORTUP
		CMP.B	#$2,D0
		BEQ	ST_PORTDOWN
		CMP.B	#$3,D0
		BEQ	ST_MYPORT
		CMP.B	#$4,D0
		BEQ	ST_VIB
		MOVE	$10(A6),$6(A5)
		CMP.B	#$A,D0
		BEQ	ST_VOLSLIDE
		RTS
ST_VOLSLIDE:	MOVEQ	#0,D0
		MOVE.B	$3(A6),D0
		LSR.B	#4,D0
		TST.B	D0
		BEQ	ST_VOLDOWN
		ADD	D0,$12(A6)
		CMP	#$40,$12(A6)
		BMI	ST_VOL2
		MOVE	#$40,$12(A6)
ST_VOL2:	MOVE	$12(A6),$8(A5)
		RTS
ST_VOLDOWN:	MOVEQ	#0,D0
		MOVE.B	$3(A6),D0
		AND.B	#$F,D0
		SUB	D0,$12(A6)
		BPL	ST_VOL3
		CLR	$12(A6)
ST_VOL3:	MOVE	$12(A6),$8(A5)
		RTS
ST_PORTUP:	MOVEQ	#0,D0
		MOVE.B	$3(A6),D0
		SUB	D0,$10(A6)
		MOVE	$10(A6),D0
		AND	#$FFF,D0
		CMP	#$71,D0
		BPL	ST_POR2
		AND	#$F000,$10(A6)
		OR	#$71,$10(A6)
ST_POR2:	MOVE	$10(A6),D0
		AND	#$FFF,D0
		MOVE	D0,$6(A5)
		RTS
ST_PORTDOWN:	CLR	D0
		MOVE.B	$3(A6),D0
		ADD	D0,$10(A6)
		MOVE	$10(A6),D0
		AND	#$FFF,D0
		CMP	#$358,D0
		BMI	ST_POR3
		AND	#$F000,$10(A6)
		OR	#$358,$10(A6)
ST_POR3:	MOVE	$10(A6),D0
		AND	#$FFF,D0
		MOVE	D0,$6(A5)
		RTS
ST_CHECKCOM2:	MOVE.B	$2(A6),D0
		AND.B	#$F,D0
		CMP.B	#$E,D0
		BEQ	ST_SETFILT
		CMP.B	#$D,D0
		BEQ	ST_PATTBREAK
		CMP.B	#$B,D0
		BEQ	ST_POSJMP
		CMP.B	#$C,D0
		BEQ	ST_SETVOL
		CMP.B	#$F,D0
		BEQ	ST_SETSPEED
		RTS
ST_SETFILT:	MOVE.B	$3(A6),D0
		AND.B	#$1,D0
		ASL.B	#$1,D0
		AND.B	#$FD,$BFE001
		OR.B	D0,$BFE001
		RTS
ST_PATTBREAK:	NOT.B	ST_BREAK
		RTS
ST_POSJMP:	MOVE.B	$3(A6),D0
		SUBQ.B	#$1,D0
		MOVE.B	D0,ST_SONGPOS
		NOT.B	ST_BREAK
		RTS
ST_SETVOL:	CMP.B	#$40,$3(A6)
		BLE	ST_VOL4
		MOVE.B	#$40,$3(A6)
ST_VOL4:	MOVE.B	$3(A6),$8(A5)
		RTS
ST_SETSPEED:	MOVE.B	$3(A6),D0
		AND	#$1F,D0
		BEQ	ST_RTS2
		CLR.B	ST_COUNTER
		MOVE.B	D0,ST_SPEED
ST_RTS2:	RTS

;*******************************************************************
;************** COPPER LISTE ***************************************
;*******************************************************************

NEW_COPPER:	DC.L	$1800000,$1820888,$1840000,$1860FFF	;00
		DC.L	$1880000,$18A0000,$18C0000,$18E0000	;04
		DC.L	$1900000,$1920FFF,$1940FFF,$1960000	;08
		DC.L	$1980000,$19A0000,$19C0000,$19E0000	;12
		DC.L	$1A00000,$1A20AAA,$1A40666,$1A60222	;16
		DC.L	$1A80000,$1AA0FFF,$1AC0AAA,$1AE0444	;20
		DC.L	$1B00000,$1B20000,$1B40000,$1B60000	;24
		DC.L	$1B80000,$1BA0000,$1BC0000,$1BE0000	;28
;===================================================================
		DC.W	$120,SPR1/$FFFF,$122,SPR1
		DC.W	$124,SPR2/$FFFF,$126,SPR2
		DC.W	$128,SPR3/$FFFF,$12A,SPR3
		DC.W	$12C,SPR4/$FFFF,$12E,SPR4
		DC.L	$1300000,$1320000,$1340000,$1360000
		DC.L	$1380000,$13A0000,$13C0000,$13E0000
;===================================================================
		DC.L	$08E2681,$09026D1,$0920028,$09400D8
		DC.L	$09687F0,$1003600,$1040000
POS_BP_LOGO:	DC.L	$1020000,$1080004,$10A0002
ADR_BP_LOGO:	DC.W	$E0,BP1/$FFFF,$E2,BP1
		DC.W	$E8,BP3/$FFFF,$EA,BP3
HAUT:		BLK.L	LG/4*98,0			;POS	1.L
							;$E4	1.L
							;$E6	1.L
							;COL0	1.L
							;COL9	1.L
							;COL3	1.L
							;PAL:	1.L
;===================================================================
		DC.L	$1040040,$1004600,$10A0032
		DC.L	$1920999,$1940DDD
SCR:		DC.W	$E4,BP2/$FFFF,$E6,BP2
		DC.W	$EC,BP4/$FFFF,$EE,BP4
COL_SCR:	BLK.L	3*77,0				;POS	1.L
							;COL9	1.L
							;COL3	1.L
		DC.L	$1040000,$1003600,$10A0002
;===================================================================
BAS:		BLK.L	LG/4*98,0			;COMME HAUT
		DC.L	-2

;*******************************************************************
;************** DONNEES MUSIC **************************************
;*******************************************************************

		EVEN
ST_SIN:		DC.B	$00,$18,$31,$4A,$61,$78,$8D,$A1
		DC.B	$B4,$C5,$D4,$E0,$EB,$F4,$FA,$FD
		DC.B	$FF,$FD,$FA,$F4,$EB,$E0,$D4,$C5
		DC.B	$B4,$A1,$8D,$78,$61,$4A,$31,$18
ST_PERIODS:	DC.W	$358,$328,$2FA,$2D0,$2A6,$280,$25C,$23A,$21A
		DC.W	$1FC,$1E0,$1C5,$1AC,$194,$17D,$168,$153,$140
		DC.W	$12E,$11D,$10D,$0FE,$0F0,$0E2,$0D6,$0CA,$0BE
		DC.W	$0B4,$0AA,$0A0,$097,$08F,$087,$07F,$078,$071
		DC.W	$000,$000
ST_SPEED:	DC.B	$6
ST_SONGPOS:	DC.B	$0
ST_PATTPOS:	DC.W	$0
ST_COUNTER:	DC.B	$0
ST_BREAK:	DC.B	$0
ST_DMACON:	DC.W	$0
ST_SAMPLESTARTS:BLK.L	$1F,0
ST_VOICE1:	BLK.W	10,0
		DC.W	$1
		BLK.W	3,0
ST_VOICE2:	BLK.W	10,0
		DC.W	$2
		BLK.W	3,0
ST_VOICE3:	BLK.W	10,0
		DC.W	$4
		BLK.W	3,0
ST_VOICE4:	BLK.W	10,0
		DC.W	$8
		BLK.W	20,0

;*******************************************************************
;************** DONNEES DIVERS *************************************
;*******************************************************************

GFXN:		DC.B	'graphics.library',0
;===================================================================
		EVEN
ECART_RASTERS:	DC.W	01*LG,02*LG,03*LG,04*LG
		DC.W	05*LG,06*LG,07*LG,08*LG
		DC.W	09*LG,10*LG,11*LG,08*LG
;===================================================================
SCR_PH:		DC.L	BP2
SCR_LO:		DC.L	BP2B

;*******************************************************************
;************** DONNEES SINUS SCROLL *******************************
;*******************************************************************

		EVEN
SIN_POS:	DC.W	0
VIT_SIN_SCR:	DC.W	0
;===================================================================
SINUS_SCROLL:	DC.W	060,060,060,060,060,060,060,060,059,059
		DC.W	059,059,059,058,058,058,058,057,057,057
		DC.W	056,056,056,055,055,055,054,054,053,053
		DC.W	052,052,051,051,050,050,049,048,048,047
		DC.W	047,046,045,045,044,043,043,042,041,041
		DC.W	040,039,039,038,037,037,036,035,034,034
		DC.W	033,032,031,031,030,029,029,028,027,026
		DC.W	026,025,024,023,023,022,021,021,020,019
		DC.W	019,018,017,017,016,015,015,014,013,013
		DC.W	012,012,011,010,010,009,009,008,008,007
		DC.W	007,006,006,005,005,005,004,004,004,003
		DC.W	003,003,002,002,002,002,001,001,001,001
		DC.W	001,000,000,000,000,000,000,000,000,000
		DC.W	000,000,000,000,000,000,001,001,001,001
 		DC.W	001,002,002,002,002,003,003,003,004,004
		DC.W	004,005,005,005,006,006,007,007,008,008
		DC.W	009,009,010,010,011,012,012,013,013,014
		DC.W	015,015,016,017,017,018,019,019,020,021
		DC.W	021,022,023,023,024,025,026,026,027,028
		DC.W	029,029,030,031,031,032,033,034,034,035
		DC.W	036,037,037,038,039,039,040,041,041,042
		DC.W	043,043,044,045,045,046,047,047,048,048
		DC.W	049,050,050,051,051,052,052,053,053,054
		DC.W	054,055,055,055,056,056,056,057,057,057
		DC.W	058,058,058,058,059,059,059,059,059,060
		DC.W	060,060,060,060,060,060
		BLK.W	256*2,0

;*******************************************************************
;************** DONNEES LOGO ***************************************
;*******************************************************************

		EVEN
TAUX_DEGRA_LOGO:DC.W	$001,$011,$010,$110,$100,$000
COL_DEGRA_LOGO:	BLK.W	6*48,0
;===================================================================
LIST_MVT:	DC.W	06,06,06,06,256*01
		DC.W	02,06,10,04,256*02
		DC.W	06,08,06,08,256*02
		DC.W	02,12,08,04,256*02
		DC.W	06,02,10,06,256*03
ACT_MVT:	DC.W	0
TPS_MVT_LOGO:	DC.W	256*01
;===================================================================
VITX1:		DC.W	06
VITX2:		DC.W	06
VITY1:		DC.W	06
VITY2:		DC.W	06
POSX_LOGO1:	DC.W	0
POSX_LOGO2:	DC.W	0
POSY_LOGO1:	DC.W	128
POSY_LOGO2:	DC.W	128
;===================================================================
SINX_LOGO:	DC.W	200,200,200,200,200,199,199,199,198,198
		DC.W	197,196,196,195,194,193,192,191,190,189
		DC.W	188,187,186,184,183,182,180,179,177,176
		DC.W	174,172,171,169,167,165,163,162,160,158
		DC.W	156,153,151,149,147,145,143,141,138,136
		DC.W	134,131,129,127,124,122,120,117,115,112
		DC.W	110,107,105,102,100,098,095,093,090,088
		DC.W	085,083,080,078,076,073,071,069,066,064
		DC.W	062,059,057,055,053,051,049,047,044,042
		DC.W	040,038,037,035,033,031,029,028,026,024
		DC.W	023,021,020,018,017,016,014,013,012,011
		DC.W	010,009,008,007,006,005,004,004,003,002
		DC.W	002,001,001,001,000,000,000,000,000,000
		DC.W	000,000,000,001,001,001,002,002,003,004
		DC.W	004,005,006,007,008,009,010,011,012,013
		DC.W	014,016,017,018,020,021,023,024,026,028
		DC.W	029,031,033,035,037,038,040,042,044,046
		DC.W	049,051,053,055,057,059,062,064,066,069
		DC.W	071,073,076,078,080,083,085,088,090,093
		DC.W	095,098,100,102,105,107,110,112,115,117
		DC.W	120,122,124,127,129,131,134,136,138,141
		DC.W	143,145,147,149,151,153,156,158,160,162
		DC.W	163,165,167,169,171,172,174,176,177,179
		DC.W	180,182,183,184,186,187,188,189,190,191
		DC.W	192,193,194,195,196,196,197,198,198,199
		DC.W	199,199,200,200,200,200

;*******************************************************************
;************** DONNEES REFLET *************************************
;*******************************************************************

SINUS_BP:	DC.W	00,04,08,12,15,18,21,24,27,29
		DC.W	31,33,35,37,39,40,42,43,44,45
		DC.W	46,47,48,49,50,51,52,53,54,55
		DC.W	55,56,56,57,57,58,58,59,59,60
		DC.W	60,61,61,62,62,63,63,64,64,65
		DC.W	65,65,66,66,66,67,67,67,68,68
		DC.W	68,69,69,69,70,70,70,71,71,71
		DC.W	72,72,72,73,73,73,73,74,74,74
		DC.W	74,75,75,75,75,76,76,76,76,76
		DC.W	77,77,77,77,77,77,77,77

;*******************************************************************
;************** DONNEES SCROLL *************************************
;*******************************************************************

		EVEN
TAUX_DEGRA_SCR:	DC.W	$100,$110,$100,$110,$100,$110
COL_DEGRA_SCR:	BLK.W	6*16,0
;===================================================================
		EVEN
VITESSE:	DC.L	$C9F00000	;DECALAGE D EN PIXEL
COMPTEUR_LETTRE:DC.W	0		;POS DS SCROLL TEXT
SCROLL_TPS:	DC.B	16/4		;POS DU COMPTEUR DE SCROLL
NB_SCROLL:	DC.B	16/4		;NB DE SCR AVT AFF NEXT CAR
STOP_TPS:	DC.B	0		;TPS D'ARRET DU SCROLL
;===================================================================
		EVEN
FONT_TABLE:	DC.L	LI1+00,LI1+02,LI1+04,LI1+06,LI1+08
		DC.L	LI1+10,LI1+12,LI1+14,LI1+16,LI1+18
		DC.L	LI1+20,LI1+22,LI1+24,LI1+26,LI1+28
		DC.L	LI1+30,LI1+32,LI1+34,LI1+36,LI1+38
		DC.L	LI2+00,LI2+02,LI2+04,LI2+06,LI2+08
		DC.L	LI2+10,LI2+12,LI2+14,LI2+16,LI2+18
		DC.L	LI2+20,LI2+22,LI2+24,LI2+26,LI2+28
		DC.L	LI2+30,LI2+32,LI2+34,LI2+36,LI2+38
		DC.L	LI3+00,LI3+02,LI3+04,LI3+06,LI3+08
		DC.L	LI3+10,LI3+12,LI3+14,LI3+16
ORDRE:		DC.B	'ABCDEFGHIJKLMNOPQRST'
		DC.B	'UVWXYZ0123456789 !?.'
		DC.B	':,()/-+*"'
;===================================================================
; 0	= FIN DU SCROLL
; a	= ARRET MOMENTANNE DU SCROLL
; b	= PETITE VITESSE
; c	= MOYENNE VITESSE
; d	= GRANDE VITESSE
;===================================================================
SCRTXT:	DC.B	' bWABADIDOU-BADIDOU !!!   cWE ARE BACK ON THE '
	DC.B	'SCENE WITH THIS LITTLE INTRO JUST TO SHOW '
	DC.B	'THE WORLD THAT WE ARE NOT DEAD. IN FACT, WE '
	DC.B	'ARE PREPARING OUR MEGA DEMO WICH WILL BE ONE '
	DC.B	'OF THE BEST EVER MADE ON THE AMIGA !!!      '
	DC.B	'WELL, INTRO CREDITS ARE THE FOLLOWING :'
	DC.B	'                  '
	DC.B	'd   CODE BY CORSAIR   ac'
	DC.B	'                  '
	DC.B	'd   LOGO BY MR.VIDEO  ac'
	DC.B	'                  '
	DC.B	'dMUSIC BY MELLICA/KEFRENSc'
	DC.B	'                  '
	DC.B	'THIS INTRO SHOULD HAVE BEEN THE LOADER OF OUR '
	DC.B	'MEGA DEMO BUT AFTER A LONG PERIOD OF '
	DC.B	'BRAINSTORMING, WE HAVE DECIDED THAT IT WAS NOT '
	DC.B	'GOOD ENOUGH TO BE '
	DC.B	'IN OUR DISK. THAT IS THE REASON WHY YOU ARE '
	DC.B	'WATCHING THIS LITTLE SHIT TODAY !!!'
	DC.B	'                  '
	DC.B	'END OF SCROLLTEXT IN 10 SECONDS     c'
	DC.B	'9  -  8  -  7  -  6  -  5  -  4  -  3  -  2  - '
	DC.B	' 1 - 0  d                      '
	DC.B	'    d********************************      '
	DC.B	'                 ',0
;===================================================================
		EVEN
PIC:
		LI1:		= PIC
		LI2:		= LI1+[CARHT*2*40]
		LI3:		= LI2+[CARHT*2*40]
ST_DATA:	= LI3+[CARHT*2*40]
LOGO:		= ST_DATA+24832
SINY_LOGO:	= LOGO+1768
END:		= SINY_LOGO
